Bug 465487 - Fix compile warnings caused by adding roundup() to kernel.h
Fix compile warnings caused by adding roundup() to kernel.h
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 11:20 EDT by Doug Ledford
Modified: 2009-05-18 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2008-10-03 11:20:22 EDT
The function roundup() was added to kernel.h as part of rhel4.7's openib patch.  It turns out that a number of places had their own definition of this too.  Those now create compile warnings.  Need to remove those duplicate definitions so that it reduces compiler warning noise during brew builds so it's easier to spot legitimate issues.
Comment 1 RHEL Product and Program Management 2008-10-03 11:44:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Vivek Goyal 2008-10-15 17:22:35 EDT
Committed in 78.14.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 5 errata-xmlrpc 2009-05-18 15:36:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.